4

When trying to install CiviVolunteer with CiviCRM 4.6.5

Wordpress 4.2.3 and CiviVolunteer4.5-1.4.0

I get the error:

"'Multi-select' is not a valid option for field html_type"

enter image description here

  • Is it a fresh install or an upgrade? What version of CiviVolunteer? Did you install it through the CiviCRM UI or did you fetch the code yourself from GitHub? – universalhandle Jul 24 '15 at 14:23
  • It was through the CiviCRM UI. I tried fetching the code myself and I still get the same error. – Francis Poisson Jul 24 '15 at 18:14
  • At what point do you get the error? Can you send a screenshot and/or the contents of CiviCRM's log? – universalhandle Jul 24 '15 at 19:04
  • I have updated my post with the log. – Francis Poisson Jul 25 '15 at 2:16
3

Based on this screenshot, two possibilities occur to me, neither of which I like very much:

  • Something is different about 4.6.5, and it no longer accepts 'Multi-select' as an HTML type. In the code for the extension, this appears on line 433 of CRM/Volunteer/Upgrader.php. In some other usages of this HTML type, I see it referred to as 'Multi-Select' (note the different capitalization) -- it could be that capitalizing the S solves the problem for you. If so, please let me know, and we'll make sure that goes into the next release.
  • I see you're not running CiviCRM in English. Is your site running in French only, or is it a multilingual site? I'm not sure yet why this would matter, but I've seen strange things occur with the schema changes, etc. that come with a multilingual site -- there are some circumstances CiviVolunteer doesn't account for. It seems like a long shot that the problem is related, but I thought I'd ask anyway.

The failure occurs during a step of the installation that creates custom fields for the volunteer contact subtype. Since the API call that performs this task has worked with previous versions of CiviCRM, I suspect something has changed with the parameter validation, either in the API itself or further down the stack. Either this change was intentional and CiviVolunteer should be updated, or it was unintentional and we should consider filing a regression bug.

Note: I haven't yet tried to reproduce this on a test copy. I'd say this is a necessary step before speculating much further.

  • 1
    Solution #1 worked! Thanks a lot! – Francis Poisson Jul 29 '15 at 16:30
0

I also get this error when installing either civivolunteer 1.4.1 or 2.0beta1 on civicrm 4.6.10. I tries to manually apply the uninstall.sql and retry but with no succes. Also changes our language back to english, did not work. Not sure what answer would solve this.

CiviCRM_API3_Exception: "DB Constraint Violation - possibly custom_group_id should possibly be marked as mandatory for this API. If so, please raise a bug report"

#0 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm_extensions/org.civicrm.volunteer/CRM/Volunteer/Upgrader.php(491): civicrm_api3("customField", "create", (Array:7))
#1 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm_extensions/org.civicrm.volunteer/CRM/Volunteer/Upgrader.php(54): CRM_Volunteer_Upgrader->createVolunteerContactCustomFields(116)
#2 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm_extensions/org.civicrm.volunteer/CRM/Volunteer/Upgrader/Base.php(248): CRM_Volunteer_Upgrader->install()
#3 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm_extensions/org.civicrm.volunteer/volunteer.civix.php(50): CRM_Volunteer_Upgrader_Base->onInstall()
#4 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm_extensions/org.civicrm.volunteer/volunteer.php(123): _volunteer_civix_civicrm_install()
#5 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Extension/Manager/Module.php(78): volunteer_civicrm_install()
#6 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Extension/Manager/Module.php(50): CRM_Extension_Manager_Module->callHook(Object(CRM_Extension_Info), "install")
#7 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Extension/Manager.php(233): CRM_Extension_Manager_Module->onPreInstall(Object(CRM_Extension_Info))
#8 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Admin/Form/Extensions.php(195): CRM_Extension_Manager->install((Array:1))
#9 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Core/Form.php(345): CRM_Admin_Form_Extensions->postProcess()
#10 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Core/StateMachine.php(164): CRM_Core_Form->mainProcess()
#11 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Core/QuickForm/Action/Next.php(61): CRM_Core_StateMachine->perform(Object(CRM_Admin_Form_Extensions), "next", "Next")
#12 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/packages/HTML/QuickForm/Controller.php(203): CRM_Core_QuickForm_Action_Next->perform(Object(CRM_Admin_Form_Extensions), "next")
#13 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/packages/HTML/QuickForm/Page.php(103): HTML_QuickForm_Controller->handle(Object(CRM_Admin_Form_Extensions), "next")
#14 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Core/Controller.php(353): HTML_QuickForm_Page->handle("next")
#15 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Core/Page/Basic.php(395): CRM_Core_Controller->run()
#16 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Core/Page/Basic.php(174): CRM_Core_Page_Basic->edit(1, NULL)
#17 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Admin/Page/Extensions.php(125): CRM_Core_Page_Basic->run()
#18 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Core/Invoke.php(312): CRM_Admin_Page_Extensions->run((Array:3), NULL)
#19 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Core/Invoke.php(86): CRM_Core_Invoke::runItem((Array:13))
#20 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/CRM/Core/Invoke.php(54): CRM_Core_Invoke::_invoke((Array:3))
#21 /home/ozk/domains/onvergetelijk.nl/public_html/prod/sites/all/modules/civicrm/drupal/civicrm.module(489): CRM_Core_Invoke::invoke((Array:3))
#22 [internal function](): civicrm_invoke("admin", "extensions")
#23 /home/ozk/domains/onvergetelijk.nl/public_html/prod/includes/menu.inc(519): call_user_func_array("civicrm_invoke", (Array:2))
#24 /home/ozk/domains/onvergetelijk.nl/public_html/prod/index.php(21): menu_execute_active_handler()
#25 {main}
-2

I did the same installation on civicrm version 4.6.5 with drupal it went alright without any error - so, Please try to install the same again or please install civicrm again

enter image description here

  • I am using Wordpress 4.2.3 with CiviCRM 4.5.6 and Civivolunteer 4.5-1.4.0 – Francis Poisson Jul 24 '15 at 18:16
  • I have tried installing civicolunteer extension against wordpress Version 4.2.3 and CiviCRM 4.6.4 - which went fine so please try to upgrade to latest version of civicrm and try to install the same – Ramesh - ARTECH Consultancy Jul 27 '15 at 13:12
  • I made a mistake, I have CiviCRM 4.6.5. Solution of GinkgoFJG worked. – Francis Poisson Jul 29 '15 at 16:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.